
/*---------------------------------------------------------------------------

    Filename: main.js
    Project:  General Extensions
    (C) Copyright 2008, Kirix Corporation, All Rights Reserved.

    License:  MIT license (http://www.kirix.com/legal/mit_license)

    Summary:  Main start file for Hello World Wide Web extension
                                      
    Developer(s):   David Z. Williams

---------------------------------------------------------------------------*/


include "tools_menu_inserter.js";
include "hello_world_wide_web_form.js";


if (Extension.isContextPackage())
{
    // if the script is packaged as an extension, when the
    // script is run, add a menu item to the host application 
    // and connect the menu item click event to a handler
    var item = insertToolsMenuItem("Hello World Wide Web...");
    item.click.connect(onHelloWorldWideWebMenuItemClicked);
}
 else
{
    // if the script is not packaged as an extension, when
    // the script is run, simply show the form
    var f = new HelloWorldWideWebForm;
    f.center();
    f.show();
}

function onHelloWorldWideWebMenuItemClicked()
{
    // if the menu item is clicked, show the form
    var f = new HelloWorldWideWebForm;
    f.center();
    f.show();
}

// start the application event loop to process
// application events
Application.run();

